> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Doubao-Seededit-3.0

SeedEdit 3.0 是一款图像编辑模型（图生图），支持通过文本指令编辑图像。SeedEdit 3.0 基于文生图模型 Seedream 3.0 训练，叠加多样化的数据融合方法与特定奖励模型，其图像主体、背景和细节保持能力进一步提升，尤其在人像编辑、背景更改、视角与光线转换等场景表现突出。

### 模型参数

* 模型ID：`doubao-seededit-3.0-i2i`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=bytedance\&type=image)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/images/generations`
* 模型参数：参考[画图 API 手册](https://docs.geekai.co/cn/api/image/generations.md)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start.md)

> [!NOTE]
>
> 不支持画图 API 中的以下参数：
>
> * `negative_prompt`
> * `aspect_ratio`
> * `quality`
> * `style_preset`
> * `output_format`
> * `mask`
> * `background`
>
> 附：[Seededit 3.0 官方 API 文档](https://www.volcengine.com/docs/82379/1824691)

Seededit 3.0 的 `size` 字段仅支持设置为 `adaptive`（默认值），表示将输入图片尺寸与下表中的尺寸进行对比，选择最接近的，作为输出图片的尺寸。具体而言，会按顺序从可选比例中，选取与原图宽高比差值最小的第一个，作为生成图片的比例：

| 宽/高 | 宽 | 高 |
| - | - | - |
| 0.33 | 512 | 1536 |
| 0.35 | 544 | 1536 |
| 0.38 | 576 | 1536 |
| 0.4 | 608 | 1536 |
| 0.42 | 640 | 1536 |
| 0.47 | 640 | 1376 |
| 0.51 | 672 | 1312 |
| 0.55 | 704 | 1280 |
| 0.56 | 736 | 1312 |
| 0.6 | 768 | 1280 |
| 0.63 | 768 | 1216 |
| 0.66 | 800 | 1216 |
| 0.67 | 832 | 1248 |
| 0.7 | 832 | 1184 |
| 0.72 | 832 | 1152 |
| 0.75 | 864 | 1152 |
| 0.78 | 896 | 1152 |
| 0.82 | 896 | 1088 |
| 0.85 | 928 | 1088 |
| 0.88 | 960 | 1088 |
| 0.91 | 992 | 1088 |
| 0.94 | 1024 | 1088 |
| 0.97 | 1024 | 1056 |
| 1 | 1024 | 1024 |
| 1.06 | 1056 | 992 |
| 1.1 | 1088 | 992 |
| 1.17 | 1120 | 960 |
| 1.24 | 1152 | 928 |
| 1.29 | 1152 | 896 |
| 1.33 | 1152 | 864 |
| 1.42 | 1184 | 832 |
| 1.46 | 1216 | 832 |
| 1.5 | 1248 | 832 |
| 1.56 | 1248 | 800 |
| 1.62 | 1248 | 768 |
| 1.67 | 1280 | 768 |
| 1.74 | 1280 | 736 |
| 1.82 | 1280 | 704 |
| 1.78 | 1312 | 736 |
| 1.86 | 1312 | 704 |
| 1.95 | 1312 | 672 |
| 2 | 1344 | 672 |
| 2.05 | 1376 | 672 |
| 2.1 | 1408 | 672 |
| 2.2 | 1408 | 640 |
| 2.25 | 1440 | 640 |
| 2.3 | 1472 | 640 |
| 2.35 | 1504 | 640 |
| 2.4 | 1536 | 640 |
| 2.53 | 1536 | 608 |
| 2.67 | 1536 | 576 |
| 2.82 | 1536 | 544 |
| 3 | 1536 | 512 |

你可以通过 `strength` 字段替代官方的 `guidance_scale` 来控制模型输出结果与 prompt 的一致程度，取值范围是 `[1, 10]`，默认值是 `5.5`，数值越大，模型自由度越小，与用户输入的提示词相关性越强。

### 图像编辑

Doubao Seededit 3.0 是一个图生图模型，仅支持通过单图+文字来生成对应图像：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"doubao-seededit-3.0-i2i",
    "prompt": "改成爱心形状的泡泡",
    "image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seededit_i2i.jpeg",
    "watermark": true
}'
```

响应结果是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "doubao-seededit-3.0-i2i",
    "created": 1760443095,
    "task_id": "7249340c-4677-40dc-9c57-f7b34671056d",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2025/10/14/24158849990ff21e4e875ad764bc8028.jpeg"
        }
    ],
    "usage": {
        "billed_units": 1,
        "output_tokens": 3772,
        "total_tokens": 3772
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.